Retrieve a customer
Retrieves the details of an existing customer. Use the fields parameter to restrict the returned attributes.
Parameters
Header Parameters
[Authentication] Required API key, in the form {prefix}.{secret}.
"a1b2c3d4.xK9pR2mVn6QwErTyUiOpAsDfGhJkLzXcVbNmQwErTyU""^[a-zA-Z0-9]{8}\\.[A-Za-z0-9_-]+$"Path Parameters
Customer identifier as provided by the merchant shop in bulkCreateCustomers (alphanumeric, dashes and underscores).
Query Parameters
Subset of customer fields to return. Repeat the parameter or pass a comma-separated string.
"customer_id""shop_id""email""phone_number""first_name""last_name""birth_date""is_opt_in""is_newsletter_subscribed""lang""group_ids""is_active""created_at""updated_at"Responses
Resource successfully retrieved.
Retrieve a customer Retrieves the details of an existing customer. Use the fields parameter to restrict the returned attributes. GET /v1/customers/{customer_id} getCustomer Customers spm-api-key [Authentication] Required API key, in the form {prefix}.{secret}. customer_id Customer identifier as provided by the merchant shop in bulkCreateCustomers (alphanumeric, dashes and underscores). fields Subset of customer fields to return. Repeat the parameter or pass a comma-separated string. Resource successfully retrieved. Client error - Invalid request or authentication issues Server error - Internal processing failure